#include "shareUtils/platformshareutils.h"

PlatformShareUtils::PlatformShareUtils(QObject *parent) : QObject(parent)
{

}

PlatformShareUtils::~PlatformShareUtils() {

}

bool PlatformShareUtils::checkMimeTypeView(const QString &mimeType) {
    qDebug() << "check view for " << mimeType;
    return true;
}
bool PlatformShareUtils::checkMimeTypeEdit(const QString &mimeType) {
    qDebug() << "check edit for " << mimeType;
    return true;
}
QString PlatformShareUtils::getTemporaryFileLocationPath() {
    return QStandardPaths::writableLocation(QStandardPaths::DownloadLocation);
}
void PlatformShareUtils::shareText(const QString &text, const QUrl &url) {
    qDebug() << text << url;
}
void PlatformShareUtils::sendFile(const QString &filePath, const QString &title, const QString &mimeType, const int &requestId) {
    qDebug() << filePath << " - " << title << "requestId " << requestId << " - " << mimeType << "altImpl? ";
    QDesktopServices::openUrl(QUrl::fromLocalFile(filePath));
}
void PlatformShareUtils::viewFile(const QString &filePath, const QString &title, const QString &mimeType, const int &requestId) {
    qDebug() << filePath << " - " << title << " requestId: " << requestId << " - " << mimeType << "altImpl? ";
    QDesktopServices::openUrl(QUrl::fromLocalFile(filePath));
}
void PlatformShareUtils::editFile(const QString &filePath, const QString &title, const QString &mimeType, const int &requestId) {
    qDebug() << filePath << " - " << title << " requestId: " << requestId << " - " << mimeType << "altImpl? ";
    QDesktopServices::openUrl(QUrl::fromLocalFile(filePath));
}

void PlatformShareUtils::checkPendingIntents(const QString workingDirPath) {
    qDebug() << "checkPendingIntents " << workingDirPath;
}
